# std::unordered_multiset::begin, std::unordered_multiset::cbegin

From cppreference.com
< cpp‎ | container‎ | unordered multiset

iterator begin(); |  | (since C++11)
const_iterator begin() const; |  | (since C++11)
const_iterator cbegin() const; |  | (since C++11)

Returns an iterator to the first element of the container.

If the container is empty, the returned iterator will be equal to end().

### Parameters

(none)

### Return value

Iterator to the first element

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <iterator>
    #include <string>
    #include <unordered_set>

    int main() {
        const std::unordered_multiset<std::string> words = {
            "some", "words", "to", "count",
            "count", "these", "words"
        };

        for(auto it = words.begin(); it != words.end(); )
        {
            auto cnt = words.count(*it);
            std::cout << *it << ":\t" << cnt << '\n';
            std::advance(it, cnt); // all cnt elements have equivalent keys
        }
    }

Possible output:

    some:   1
    words:  2
    to:     1
    count:  2
    these:  1

### See also

end cend | returns an iterator to the end (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multiset/begin&oldid=50740"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template